/**  版本信息模板在安装目录下，可自行修改。
* T_IntegratedScheduling_Base.cs
*
* 功 能： N/A
* 类 名： T_IntegratedScheduling_Base
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/10/19 11:12:17   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace RMYY_CallCenter_Api.Model
{
	/// <summary>
	/// T_IntegratedScheduling_Base:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_IntegratedScheduling_Base
	{
		public T_IntegratedScheduling_Base()
		{}
		#region Model
		private int _f_workorderid;
		private string _f_workordercode;
		private string _f_workordercategory;
		private string _f_content;
		private string _f_applicant;
		private string _f_applicationdept;
		private string _f_phone;
		private string _f_location;
		private string _f_toplace;
		private int? _f_workorderstate;
		private string _f_dealman;
		private string _f_dealdept;
		private int? _f_replaycount=0;
		private int? _f_remindcount=0;
		private string _f_callid;
		private int? _f_callrecordid;
		private DateTime? _f_assigntime;
		private string _f_assignuser;
		private DateTime? _f_endtime;
        private DateTime? _f_accepttime;
        private DateTime? _f_deadline;
		private DateTime? _f_updatetime;
		private DateTime? _f_createtime;
		private string _f_createuser;
		private string _f_createuserdept;
		private string _f_file;
		private int? _f_isdelete;
        private int? _f_leaverecordid;
        private int? _f_score;
        private int? _f_myd;
        private int? _f_cfnum;
        private string _f_emergencytypes;
        private DateTime? _f_collecttime;
        private string _f_collectfile;

        //收取急查标本的时 上传的附件
        public string F_CollectFile
        {
            set { _f_collectfile = value; }

            get { return _f_collectfile; }

        }

        //收取急查标本的时间
        public DateTime? F_CollectTime
        {
            set { _f_collecttime = value; }
            get { return _f_collecttime; }
        }

        // 所有工单类型增加紧急字段，为单选（一般、紧急），默认为一般
        public string  F_EmergencyTypes

        {
            set { _f_emergencytypes = value; }

            get { return _f_emergencytypes; }

        }

        public DateTime? F_AcceptTime
        {
            set { _f_accepttime = value; }
            get { return _f_accepttime; }
        }
        /// <summary>
        /// 红处方数量
        /// </summary>
        public int? F_CFNum
        {
            set { _f_cfnum = value; }
            get { return _f_cfnum; }
        }

        public int? F_Score
        {
            set { _f_score = value; }
            get { return _f_score; }
        }
        //0 满意 1 一般 2 不满意
        public int? MYD
        {
            set { _f_myd = value; }
            get { return _f_myd; }
        }
        public int? F_LeaveRecordId
        {
            set { _f_leaverecordid = value; }
            get { return _f_leaverecordid; }
        }

        /// <summary>
        /// 
        /// </summary>
        public int F_WorkOrderId
		{
			set{ _f_workorderid=value;}
			get{return _f_workorderid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_WorkOrderCode
		{
			set{ _f_workordercode=value;}
			get{return _f_workordercode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_WorkOrderCategory
		{
			set{ _f_workordercategory=value;}
			get{return _f_workordercategory;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Content
		{
			set{ _f_content=value;}
			get{return _f_content;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Applicant
		{
			set{ _f_applicant=value;}
			get{return _f_applicant;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_ApplicationDept
		{
			set{ _f_applicationdept=value;}
			get{return _f_applicationdept;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Phone
		{
			set{ _f_phone=value;}
			get{return _f_phone;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Location
		{
			set{ _f_location=value;}
			get{return _f_location;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_ToPlace
		{
			set{ _f_toplace=value;}
			get{return _f_toplace;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_WorkOrderState
		{
			set{ _f_workorderstate=value;}
			get{return _f_workorderstate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_DealMan
		{
			set{ _f_dealman=value;}
			get{return _f_dealman;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_DealDept
		{
			set{ _f_dealdept=value;}
			get{return _f_dealdept;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_ReplayCount
		{
			set{ _f_replaycount=value;}
			get{return _f_replaycount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_RemindCount
		{
			set{ _f_remindcount=value;}
			get{return _f_remindcount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CallId
		{
			set{ _f_callid=value;}
			get{return _f_callid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_CallRecordId
		{
			set{ _f_callrecordid=value;}
			get{return _f_callrecordid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_AssignTime
		{
			set{ _f_assigntime=value;}
			get{return _f_assigntime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_AssignUser
		{
			set{ _f_assignuser=value;}
			get{return _f_assignuser;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_Endtime
		{
			set{ _f_endtime=value;}
			get{return _f_endtime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_Deadline
		{
			set{ _f_deadline=value;}
			get{return _f_deadline;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_UpdateTime
		{
			set{ _f_updatetime=value;}
			get{return _f_updatetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_CreateTime
		{
			set{ _f_createtime=value;}
			get{return _f_createtime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CreateUser
		{
			set{ _f_createuser=value;}
			get{return _f_createuser;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CreateUserDept
		{
			set{ _f_createuserdept=value;}
			get{return _f_createuserdept;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_File
		{
			set{ _f_file=value;}
			get{return _f_file;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_IsDelete
		{
			set{ _f_isdelete=value;}
			get{return _f_isdelete;}
		}
		#endregion Model

	}
}

